function x = inf_solve2(L, b)
% x = inf_solve2(L, b) risolve un sistema triangolare inferiore L*x = b. 
%
% Il sistema viene risolto con sostituzione all'indietro, utilizzando
% la notazione vettoriale di MATLAB. 

	s = size(L);
	n = s(1);

	x = zeros(n,1);
	
	for i = 1:n
		x(i) = ( b(i) - L(i,1:i-1) * x(1:i-1) ) / L(i,i);
	end

end
